# List connector account descriptors

Retrieves a paginated list of dynamic descriptors of the specified connector account, newest first. For a connector account with the `STATIC` descriptor type, the list is empty. This endpoint requires an account-level API key.

Endpoint: POST /connector-accounts/list-descriptors
Version: 2.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer asec_xxx

## Request fields (application/json):

  - `connector_account_id` (string)
    Identifier of the connector account.
    Example: ca_01KRXP28JE4M5P6R7S8T9V0W1X

  - `filters` (object)
    Filters for connector account descriptors.

  - `filters.status` (object)
    Operator and value for descriptor status filter.

  - `filters.status.operator` (string, required)
    Comparison operator.
    Enum: "EQ", "IN"

  - `filters.status.value` (string, required)
    Single descriptor status for `EQ`, or a comma-separated list for `IN`. Allowed values are the `status` values of a descriptor.
    Example: ACTIVE,INACTIVE

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. Omitted when no pages remain.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `items` (array)
    List of connector account descriptors for the current page.

  - `items.id` (string, required)
    Unique descriptor identifier.
    Example: descr_01KRXQ9B2C4E6G8J0K2M4P6R8T

  - `items.connector_account_id` (string, required)
    Identifier of the connector account the descriptor belongs to.
    Example: ca_01KRXP28JE4M5P6R7S8T9V0W1X

  - `items.value` (string, required)
    Descriptor value that routing configuration steps of the connector account use as `descriptor`.
    Example: EXAMPLE*PREMIUM

  - `items.status` (string, required)
    Descriptor status.
The list of enum values may be extended without notice.
    Enum: "ACTIVE", "INACTIVE"

  - `items.created_at` (string, required)
    Date and time when the descriptor was created.
    Example: 2026-05-18T14:02:11.418000Z

  - `items.updated_at` (string, required)
    Date and time when the descriptor was last updated.
    Example: 2026-09-21T10:55:03.207000Z

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. Omitted when no pages remain.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

  - `context.constraints` (object, required)
    Failed constraints keyed by the field name.

## Response 401:

  - `401` (unknown)
    Unauthenticated

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403:

  - `403` (unknown)
    Unauthorized

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
The list of enum values may be extended without notice.
    Enum: "NOT_FOUND", "ENDPOINT_NOT_FOUND"

  - `message` (string, required)
    Message describing the error. The entity varies by endpoint.
    Example: The requested resource could not be found

## Response 429:

  - `429` (unknown)
    Too many requests

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: Rate limit exhausted

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: 2024-12-31T23:59:59.000000Z

## Response 404 examples:

  - `notFound` (unknown)

